Skip to main content
GET
/
adjustments
List adjustments
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/adjustments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/adjustments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "adjustment",
      "data": {
        "source_line_item": {
          "id": "<id>",
          "object": "earning_line_item",
          "data": {
            "pay_stub": {
              "id": "<id>",
              "object": "pay_stub",
              "links": {
                "self": "/pay_stubs/<id>"
              }
            },
            "amount": 10000,
            "custom_amount": null,
            "managed_amount": 10000,
            "is_managed": true,
            "line_item_type": "earning",
            "earning_type": {
              "id": "<id>",
              "object": "earning_type",
              "data": {
                "type": "salary",
                "label": "Salary",
                "supported_payroll_types": {
                  "regular": true,
                  "historical": true,
                  "off_cycle": true
                }
              },
              "links": {
                "self": "/earning_types/salary"
              }
            },
            "hours": 173.33,
            "managed_hours": 173.33,
            "custom_hours": null,
            "accrued_vacation_pay": 0,
            "recurrence": {
              "id": "<id>",
              "object": "pay_rate",
              "links": {
                "self": "/pay_rates/<id>"
              }
            },
            "pay_rate": {
              "id": "<id>",
              "object": "pay_rate",
              "links": {
                "self": "/pay_rates/<id>"
              }
            },
            "overtime_rate": null,
            "title": "Salary Rate",
            "title_translations": null,
            "title_translated": "Salary Rate",
            "expense_accounting_code": null,
            "managed_expense_accounting_code": null,
            "custom_expense_accounting_code": null,
            "liability_accounting_code": null,
            "managed_liability_accounting_code": null,
            "custom_liability_accounting_code": null,
            "business_preset": null,
            "source_adjustment": null,
            "component_settings": {
              "attributes_locked": false
            },
            "earned_on": null,
            "managed_earned_on": null,
            "custom_earned_on": null,
            "external_ref": null,
            "created_at": "2026-01-01T00:00:00.000000Z",
            "updated_at": "2026-01-01T00:00:00.000000Z"
          },
          "links": {
            "self": "/earning_line_items/<id>"
          }
        },
        "correction_line_item": {
          "id": "<id>",
          "object": "earning_line_item",
          "data": {
            "pay_stub": {
              "id": "<id>",
              "object": "pay_stub",
              "links": {
                "self": "/pay_stubs/<id>"
              }
            },
            "amount": -8900,
            "custom_amount": null,
            "managed_amount": -8900,
            "is_managed": false,
            "line_item_type": "earning",
            "earning_type": {
              "id": "<id>",
              "object": "earning_type",
              "data": {
                "type": "salary",
                "label": "Salary",
                "supported_payroll_types": {
                  "regular": true,
                  "historical": true,
                  "off_cycle": true
                }
              },
              "links": {
                "self": "/earning_types/salary"
              }
            },
            "hours": null,
            "managed_hours": null,
            "custom_hours": null,
            "accrued_vacation_pay": 0,
            "recurrence": null,
            "pay_rate": null,
            "overtime_rate": null,
            "title": "Salary Rate Adjustment",
            "title_translations": {
              "en": "Salary Rate Adjustment",
              "fr": "Rajustement Salary Rate"
            },
            "title_translated": "Salary Rate Adjustment",
            "expense_accounting_code": null,
            "managed_expense_accounting_code": null,
            "custom_expense_accounting_code": null,
            "liability_accounting_code": null,
            "managed_liability_accounting_code": null,
            "custom_liability_accounting_code": null,
            "business_preset": null,
            "source_adjustment": {
              "id": "<id>",
              "object": "adjustment",
              "links": {
                "self": "/adjustments/<id>"
              }
            },
            "component_settings": {
              "attributes_locked": false
            },
            "earned_on": null,
            "managed_earned_on": null,
            "custom_earned_on": null,
            "external_ref": null,
            "created_at": "2026-01-01T00:00:00.000000Z",
            "updated_at": "2026-01-01T00:00:00.000000Z"
          },
          "links": {
            "self": "/earning_line_items/<id>"
          }
        },
        "correction_pay_stub": {
          "id": "<id>",
          "object": "pay_stub",
          "links": {
            "self": "/pay_stubs/<id>"
          }
        },
        "type": "earning",
        "subtype": "salary",
        "expected_amount": 1100,
        "admin_note": null,
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/adjustments/<id>"
      }
    }
  ],
  "links": {
    "first": "/adjustments?correction_pay_stub_id=<id>&page=1",
    "last": "/adjustments?correction_pay_stub_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

source_pay_stub_id
string

The source_pay_stub_id field is required when correction_pay_stub_id is not present.

correction_pay_stub_id
string

The correction_pay_stub_id field is required when source_pay_stub_id is not present.

external_ref
string
expand
enum<string>[]
Available options:
correction_line_item,
correction_pay_stub,
source_line_item

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]